#version 430

layout (location = 0) in vec3 position;
layout (location = 1) in vec3 normal;
layout (location = 2) in vec2 uv;


out vec3 position_world_CS_in;
out vec3 normal_world_CS_in;
out vec2 uv_CS_in;

uniform mat4 modelMatrix;
uniform mat3 normalMatrix;



void main() {
	position_world_CS_in = (1 * vec4(position, 1)).xyz;
	normal_world_CS_in = normalMatrix * normal;
	uv_CS_in = uv;
}