#version 430


in vec2 TexCoord0;
flat in float TTL0;

out vec4 fragColor;

uniform sampler2D lavaTexture;


void main() {
	//vec3 color = vec3(0.9, 0.9, 0.9);
	float alpha = TTL0/2;
	//fragColor = vec4(color, alpha); 
	
	fragColor = texture(lavaTexture, TexCoord0);
	
	if(alpha<1){
	fragColor.w = alpha * fragColor.w;
	}


	if(fragColor.w < 0.3) {
        discard;
	}

}