#version 430


layout (location = 0) in vec3 position;

out vec3 TexCoords;

uniform mat4 viewProjectionMatrix;



void main() {
	TexCoords = position;
	vec4 pos_world = viewProjectionMatrix * vec4(position, 1);
	gl_Position = pos_world.xyzz;
}