#version 430


in vec2 uv;

out vec4 color;

uniform sampler2D text;
uniform vec3 textColor;

uniform float brightness;

void main() {    
    vec4 sampled = vec4(1.0, 1.0, 1.0, texture(text, uv).r);
	vec3 brightTextColor = textColor * brightness;
    color = vec4(brightTextColor, 1.0) * sampled;
}  