#version 430


layout (location = 0) in vec4 vertex;

out vec2 uv;

uniform mat4 modelMatrix;
uniform mat4 viewProjectionMatrix;



void main() {
	uv = vertex.zw;
	gl_Position = viewProjectionMatrix * vec4(vertex.xy, 0.0, 1.0);
}