#version 430


layout (location = 0) in vec2 position;
layout (location = 1) in vec2 uv_coords;

out vec3 position_world;
out vec2 uv;

uniform mat4 modelMatrix;
uniform mat4 viewProjectionMatrix;

void main() {
	uv = uv_coords;
	gl_Position = viewProjectionMatrix * modelMatrix * vec4(position,0,1);
}