#version 430

layout (location = 0) in vec4 position;

out vData {
	vec3 position_world;
	float TTL1;
} vertex;

uniform mat4 modelMatrix;
uniform mat4 viewMatrix;

void main() {
	gl_Position =  viewMatrix * modelMatrix * vec4(position.xyz, 1.0f);

	vertex.TTL1 = position.w;
}