#version 430


in VertexData {
	vec3 position_world;
	vec3 normal_world;
	vec2 uv;
} vert;

out vec4 fragColor;

uniform vec3 color;
uniform sampler2D diffuseTexture;

uniform float brightness;

void main(){

	vec3 texColor = texture(diffuseTexture, vert.uv).rgb * brightness;
	fragColor = vec4(texColor, 1);

}